Summary: device mapper library
Name: device-mapper
Version: 1.01.05
Release: 3tr
License: GPL
Group: Trustix Official
Source: http://sources.redhat.com/dm/%{name}.%{version}.tgz
PreReq: /bin/mkdir
PreReq: /bin/mknod
Requires: glib
BuildRequires: glib-devel
Buildroot: %{_tmppath}/%{name}-root

%description
This package contains the supporting userspace files (libdevmapper and
dmsetup) for the device-mapper.

%prep
%setup -q -n %{name}.%{version}

%build
%configure --prefix=$RPM_BUILD_ROOT/usr \
	   --sbindir=/sbin \
	   --enable-static_link \
	   --disable-selinux
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%post
	# Creating character device "control"
	if [ -d /dev/mapper ]; then
		mknod /dev/mapper/control c 10 63 
	else
		mkdir /dev/mapper
		mknod /dev/mapper/control c 10 63

	fi
/sbin/ldconfig

%postun
if [ $1 = 0 ]; then
	if [ -d /dev/mapper ]; then
                rm -rf /dev/mapper
	fi	
fi
/sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc COPYING COPYING.LIB INSTALL INTRO README VERSION WHATS_NEW
/sbin/*
/usr/share/man/*
/usr/lib/*
/usr/include/*

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Tue Apr 04 2006 Bipin S <bipin at trustix dot org> 1.01.05-2tr
- Modified %postun

* Tue Apr 04 2006 Bipin S <bipin at trustix dot org> 1.01.05-1tr
- New Upstream
- dmsetup* path changed to /sbin

* Thu Mar 24 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.01.00-1tr
- New Upstream

* Wed Mar 16 2005 Raghu <raghu at comodo dot com> 1.00.19-5tr
- Rebuilt

* Fri Mar  4 2005 Chr. Toldnes <christht at trustix dot org> 1.00.19-4tr
- Added missing prereqs

* Tue Mar 01 2005 Syed Shabir <syedshabir at comodo dot com> 1.00.19-3sh
- Added %post script to create /dev/mapper/control

* Mon Dec 06 2004 Syed Shabir <syedshabir at comodo dot com> 1.00.19-1sh
- Initial Spec file for device-mapper
